# QHostAddress Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QHostAddress()
- void QHostAddress(SpecialAddress address)
- void QHostAddress(QHostAddress copy)
- void QHostAddress(QIPv6Address ip6Addr)
- void QHostAddress(String address)
- void QHostAddress(unsigned int ip4Addr)

### Constructor Properties

- prototype: The QHostAddress prototype object
- QPair parseSubnet(String subnet)
- Null
- Broadcast
- LocalHost
- LocalHostIPv6
- Any
- AnyIPv6
- SpecialAddress( value )

### Prototype Object Properties

- void clear()
- bool isInSubnet(QHostAddress subnet, int netmask)
- bool isNull()
- bool operator_equal(SpecialAddress address)
- NetworkLayerProtocol protocol()
- void readFrom(QDataStream arg__1)
- String scopeId()
- void setAddress(QIPv6Address ip6Addr)
- void setScopeId(String id)
- unsigned int toIPv4Address()
- QIPv6Address toIPv6Address()
- String toString()
- void writeTo(QDataStream arg__1)

### Instance Properties

QHostAddress objects have no special properties beyond those inherited from the QHostAddress prototype object.